Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.swing
Interface PropertyListener

All Known Implementing Classes:
  DeveloperLicensePanel, DomainLicensePanel, EvaluationLicensePanel, NodeLicensePanel, OemLicensePanel, TableComponent

    public interface PropertyListener

A listener for a new property event.

Method Summary
`void` | `deleteProperty(PropertiesTableModel table, int index)` Notification that the delete button was pressed, and thus the indicated property should be deleted from the table.
`void` | `editProperty(PropertiesTableModel table, int index)` Notification that the edit button was pressed, and the user thus wishes to edit the currently selected property in the given table.
`void` | `newProperty(PropertiesTableModel table)` Notification that the new button was pressed, and the user thus wishes to insert a new property in the given table.

Method Detail

### newProperty

    void newProperty(PropertiesTableModel table)

  Notification that the new button was pressed, and the user thus wishes to insert a new property in the given table.

  Parameters:
    `table` - The table model.

### editProperty

    void editProperty(PropertiesTableModel table,
                      int index)

  Notification that the edit button was pressed, and the user thus wishes to edit the currently selected property in the given table.

  Parameters:
    `table` - The table model.
    `index` - Indicates which row to edit.

### deleteProperty

    void deleteProperty(PropertiesTableModel table,
                        int index)

  Notification that the delete button was pressed, and thus the indicated property should be deleted from the table.

  Parameters:
    `table` - The table model.
    `index` - The index of the row to delete.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.